I am deploying flask api with docker but I am getting this error

Anonymous
2023-10-12T03:28:29.9466667+00:00
91 ✘ Locking Failed!
2023-10-12T02:34:28.2914431Z ##[error]#8 21.91 False
2023-10-12T02:34:28.2915459Z ##[error]#8 21.91 CRITICAL:pipenv.patched.pip._internal.resolution.resolvelib.factory:Cannot install -r /tmp/pipenv-rz_x4zex-requirements/pipenv-ohlwo4b8-constraints.txt (line 2) and -r /tmp/pipenv-rz_x4zex-requirements/pipenv-ohlwo4b8-constraints.txt (line 4) because these package versions have conflicting dependencies.
2023-10-12T02:34:28.2916407Z ##[error]#8 21.91 [ResolutionFailure]:   File "/usr/local/lib/python3.8/site-packages/pipenv/resolver.py", line 645, in _main
2023-10-12T02:34:28.2917048Z ##[error]#8 21.91 [ResolutionFailure]:       resolve_packages(
2023-10-12T02:34:28.2917770Z ##[error]#8 21.91 [ResolutionFailure]:   File "/usr/local/lib/python3.8/site-packages/pipenv/resolver.py", line 612, in resolve_packages
2023-10-12T02:34:28.2918446Z ##[error]#8 21.91 [ResolutionFailure]:       results, resolver = resolve(
2023-10-12T02:34:28.2919159Z ##[error]#8 21.91 [ResolutionFailure]:   File "/usr/local/lib/python3.8/site-packages/pipenv/resolver.py", line 592, in resolve
2023-10-12T02:34:28.2919807Z ##[error]#8 21.91 [ResolutionFailure]:       return resolve_deps(
2023-10-12T02:34:28.2920532Z ##[error]#8 21.91 [ResolutionFailure]:   File "/usr/local/lib/python3.8/site-packages/pipenv/utils/resolver.py", line 892, in resolve_deps
2023-10-12T02:34:28.2921614Z ##[error]#8 21.91 [ResolutionFailure]:       results, hashes, internal_resolver = actually_resolve_deps(
2023-10-12T02:34:28.2922401Z ##[error]#8 21.91 [ResolutionFailure]:   File "/usr/local/lib/python3.8/site-packages/pipenv/utils/resolver.py", line 665, in actually_resolve_deps
2023-10-12T02:34:28.2923075Z ##[error]#8 21.91 [ResolutionFailure]:       resolver.resolve()
2023-10-12T02:34:28.2923782Z ##[error]#8 21.91 [ResolutionFailure]:   File "/usr/local/lib/python3.8/site-packages/pipenv/utils/resolver.py", line 442, in resolve
2023-10-12T02:34:28.2924747Z ##[error]#8 21.91 [ResolutionFailure]:       raise ResolutionFailure(message=str(e))
2023-10-12T02:34:28.2925615Z ##[error]#8 21.91 [pipenv.exceptions.ResolutionFailure]: Warning: Your dependencies could not be resolved. You likely have a mismatch in your sub-dependencies.
2023-10-12T02:34:28.2926645Z ##[error]#8 21.91   You can use $ pipenv run pip install 
Not Monitored
Not Monitored
Tag not monitored by Microsoft.
36,509 questions
0 comments No comments
{count} votes